require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe "A New Account" do
  include CoreHelper

  before :each do
    create_account
    @filename = "#{Shacho::HEROKU_PREFIX}/accounts/test"
  end

  it "should be created" do
    File.exists?(@filename).should == true
  end

  it "should create a credentials file specifically for that account" do
    File.exists?("#{@filename}/credentials").should == true
  end

  it "should contain the correct credentials after prompting the user" do
    contents = get_credentials(@filename)
    email_test = contents[0] == "test@test.com"
    password_test = contents[1] == "password"
    (email_test && password_test).should == true
  end
end
