require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe "Removing an account" do
  include CoreHelper

  context "existing accounts" do
    before :each do
      create_account
    end

    it "should be able to remove the account" do
      Shacho::Account.remove(["test"])

      # TODO test private methods of shacho
      Shacho::Account.exists?("test").should == false
    end
  end

  context "non-existing accounts" do
    it "should not be able to remove" do
      error = run_command("remove", ["rainbows"])
      error.class.should == RuntimeError
    end
  end
end
