$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'rspec'
require 'mocha'
require 'shacho'

Shacho::HEROKU_PREFIX = "#{File.dirname(__FILE__)}/helpers"

Dir["#{File.dirname(__FILE__)}/helpers/**/*.rb"].each {|f| require f}

RSpec.configure do |config|
  config.mock_with :mocha

  config.before :each do
    STDOUT.stubs(:write)
  end

  config.after :each do
    STDOUT.unstub(:write)

    if File.exists?("#{File.dirname(__FILE__)}/helpers/accounts")
      FileUtils.rm_r("#{File.dirname(__FILE__)}/helpers/accounts")
    end
  end
end
