require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe "Finding the current account" do
  include CoreHelper

  before :each do
    create_account
  end

  it "should be able to find out the current user" do
    Shacho::Account.use(["test"])
    result = capture_stdout { Shacho::Account.which([]) }
    result.chomp.should == "test"
  end
end
