module CoreHelper
  def create_account
    STDIN.stubs(:gets).returns("test@test.com", "password")
    @account = Shacho::Account.create(["test"])
  end

  def get_credentials(filename)
    file = File.open("#{filename}/credentials", "r")
    contents = file.read.split("\n")
    contents
  end

  def capture_stdout(&block)
    origin = $stdout
    $stdout = fake = StringIO.new
    begin
      yield
    ensure
      $stdout = origin
    end
    fake.string
  end

  def run_command(action, params)
    begin
      Shacho::Account.send(action, params)
    rescue RuntimeError => e
    end
    return e || true
  end
end
